import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSGlyphStorage } from "./NSGlyphStorage.js";
export declare class _NSGlyphGenerator extends _NSObject {
    static alloc(): _NSGlyphGenerator;
    static new(): _NSGlyphGenerator;
    init(): _NSGlyphGenerator;
    static sharedGlyphGenerator(): _NSGlyphGenerator;
    generateGlyphsForGlyphStorage$desiredNumberOfCharacters$glyphIndex$characterIndex$(glyphStorage: _NSGlyphStorage, nChars: number, glyphIndex: NobjcObject | null, charIndex: NobjcObject | null): void;
}
